/*
 * Description		: This functionss are used in board setup commonly.
 * Programmer		: Kim Dong-kyu (superkdk)
 * Last Modified	: 2002/08/08
 */
// menu
function setup_menu(mode) {
	location.href = "ttadmin.cgi?act=board_setup&mode=" + mode + "&idx=" + BOARD_INDEX;
}

function set_board() {
	var board_list = document.all["board_list"];
	var board_idx = board_list.options[board_list.selectedIndex].value;

	location.href = "ttadmin.cgi?act=board_setup&mode=" + SETUP_MODE + "&idx=" + board_idx;
}

// float menu
function edit_skin() {
	location.href = "ttadmin.cgi?act=skin_editor&mode=object&type="+BOARD_TYPE+"&skin_list="+BOARD_SKIN;
}

function preview() {
	if(SETUP_MODE == "notice") {
		window.open(LINK_NOTICE, "", "");
	} else {
		window.open(LINK_LIST, "", "");
	}
}

// textarea
function resize_textarea(id, row) {
	if(document.all[id].rows + row > 0)
		document.all[id].rows += row;
}

function reset_textarea(id, row) {
	document.all[id].rows = row;
}

// select
function get_sample(id) {
	var obj = document.all[id + "_sample"];
	var value = obj.options[obj.selectedIndex].value;

	document.all[id].value = value;
}

// color
function color_picker(id) {
	var left = (screen.width - 210) / 2;
	var top = (screen.height - 325) / 3;

	window.open("ttadmin.cgi?act=color_picker&target=" + id, "",
		"width=210, height=325, left="+left+", top="+top);
}

function set_color(id) {
	var obj = document.all[id + "_preview"];
	obj.style.backgroundColor = document.all[id].value;
}

// icon
function icon_list(mode, target) {
	var left = (screen.width - 250) / 2;
	var top = (screen.height - 300) / 3;

	window.open("ttadmin.cgi?act=icon_list&mode="+mode+"&target="+target,
		"", "width=250, height=300, left="+left+", top="+top+", scrollbars=yes");
}

// setup all
function setup_all(bid) {
	var target = "";
	var obj = document.all["tname"];

	if(obj.length) {
		for(i = 0; i < obj.length; i++) {
			if(obj[i] && obj[i].checked) {
				if(target != "") target += ",";
				target += obj[i].value;
			}
		}
	} else {
		// one target
		if(obj && obj.checked)
			target = obj.value;
	}

	if(target == "") {
		alert("  ּ.");
		return;
	}

	window.open("ttadmin.cgi?act=board_setup_all&bid="+bid+"&target="+target,
		"", "width=360, height=340, scrollbars=1, resizable=1");
}

function setup_chk(type) {
	var obj = document.all["tname"];

	for(var i = 0; i < obj.length; i++) {
		if(obj[i]) obj[i].checked = type;
	}
}
