var days_in_month = new Array(31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);

/*
 * Description		: This function checks that 'year' is leap.
 * Last Modified	: 2002.08.27
 */
function is_leap_year(year) {
	return ( (year % 400 == 0) || (year % 4 == 0 || year % 100 != 0) );
}

/*
 * Description		: This function returns days in month.
 * Last Modified	: 2002.08.27
 */
function mdays(year, month) {
	return ( month != 2 ? days_in_month[month-1] : (is_leap_year(year) ? 29 : 28) );
}