# TTBOARD - ADMIN SKIN
# Skin Name     : DEFAULT_ADMIN
# Object Name   : COLOR_PICKER
# Design        : dizfeel
# Skin Maker    : superkdk
# Last Modified : 2003.06.18
<!-- [BEGIN:VAR] -->
<!-- [END:VAR] -->

<!-- [BEGIN:MAIN] -->
<html>
<head>
	<meta http-equiv='Content-Type' content='text/html; charset=euc-kr'>
	<title>TTBOARD - Color Picker</title>
	<link type='text/css' rel='stylesheet' href='[PATH.SKIN]stylesheet.css'>
	<script language = 'javascript'>
		var first, second, third;
		var int1, int2, int3;
		var color;

		var Colors = new Array("0", "1", "2", "3", "4", "5", "6", "7",
				"8", "9", "A", "B", "C", "D", "E", "F");

		var r = 255;
		var g = 0;
		var b = 0;

		rp = new Array(192);
		gp = new Array(192);
		bp = new Array(192);

		plus_r = new Array(192);
		plus_g = new Array(192);
		plus_b = new Array(192);

		for(var i = 0; i < 192; i++) {
	    	rp[i] = r;
	    	gp[i] = g;
	    	bp[i] = b;

	    	if(i < 32) {
	    		g += 8;
	    		if(g == 256) g = 255;
	    	} else if(i < 64) {
	    		r -= 8;
	    		if(r == -1) r = 0;
	    	} else if(i < 96) {
	    		b += 8;
	    		if(b == 256) b = 255;
	    	} else if(i < 128) {
	    		g -= 8;
	    		if(g == -1) g = 0;
	    	} else if(i < 160) {
	    		r += 8;
	    		if(r == 256) r = 255;
	    	} else if(i < 192) {
	    		b -= 8;
	    		if(b == -1) b = 0;
	    	}

	    	plus_r[i] = parseFloat((127 - rp[i])/192);
			plus_g[i] = parseFloat((127 - gp[i])/192);
			plus_b[i] = parseFloat((127 - bp[i])/192);
	    }


		function make16(num) {
			var number;

			number = Colors[parseInt(num/16)] + Colors[parseInt(num%16)];
			return number;
		}

		function get_color_code(e) {
			var coord_x = e.clientX - document.all["id_colors"].style.posLeft;
			var coord_y = e.clientY - document.all["id_colors"].style.posTop;

			if((coord_y >= 0 && coord_y < 192) && (coord_x >= 0 && coord_x < 192)) {
				int1 = parseInt(coord_y * plus_r[coord_x] + rp[coord_x]);
				int2 = parseInt(coord_y * plus_g[coord_x] + gp[coord_x]);
				int3 = parseInt(coord_y * plus_b[coord_x] + bp[coord_x]);

			   	first  = make16(int1);
			   	second = make16(int2);
			   	third  = make16(int3);

				color = String(first) + String(second) + String(third);
		   		color_form.color_code.value = '#' + color;
		   		color_form.color.style.backgroundColor = color;
		   	}
		}

		function pick_color() {
			var col;
			var c1;
			var c2;
			var c3;
			var color_code = document.color_form.color_code.value;

			document.color_form.chosen_color.style.backgroundColor = color_code;
			document.color_form.chosen_code.value = color_code;

			for(i = 1; i <= 16; i++) {
				if(i <= 8) {
					c1 = parseInt(int1/8 * (i-1));
					c2 = parseInt(int2/8 * (i-1));
					c3 = parseInt(int3/8 * (i-1));
				} else {
					c1 = int1+parseInt((255-int1)/8 * (i-8));
					c2 = int2+parseInt((255-int2)/8 * (i-8));
					c3 = int3+parseInt((255-int3)/8 * (i-8));
				}

				 document.all["bright"+i].style.backgroundColor = String(make16(c1)) + String(make16(c2)) + String(make16(c3));
			}
		}

		function OverBright(num) {
			var color = document.all["bright"+num].style.backgroundColor;

			document.color_form.color.style.backgroundColor = color.toUpperCase();
			document.color_form.color_code.value = color.toUpperCase();
		}

		function chooseBright(num) {
			var color = document.all["bright"+num].style.backgroundColor;

			document.color_form.chosen_color.style.backgroundColor = color.toUpperCase();
			document.color_form.chosen_code.value = color.toUpperCase();
		}

		function apply_color() {
			var color = document.color_form.chosen_code.value

			opener.document.all["[GET.TARGET]"].value = color;
			opener.document.all["[GET.TARGET]_preview"].style.backgroundColor = color;
			window.close();
		}
	</script>
	<style type = "text/css">
		#id_colors {position:absolute; LEFT:18; TOP:98; width:192; height:192; background-color:black;}
		#layer2 {position:absolute; LEFT:18 ;TOP:78; width:180; height:11; background-color:white;}
	</style>
</head>
<body scroll='no'>
<table width="100%" border="0" cellspacing="0" cellpadding="0" height="100%">
<form name="color_form">
	<tr>
		<td height="25">
			<table align="center" cellpadding="2" cellspacing="1" width="100%" border="0">
				<tr>
					<td class='tablebgcolor' align="center" valign="bottom" height="22"><img src="[PATH.SKIN]images/bullet/bul_02.gif" width="20" height="10" align="absmiddle">ϴ  ϼ<img src="[PATH.SKIN]images/bullet/bul_02.gif" width="20" height="10" align="absmiddle"></td>
				</tr>
				<tr>
					<td height="1" class="borderline1"></td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="52" valign="top" bgcolor="#EFEFEF">
			<table border = 0 align = center cellpadding = 0 cellspacing = 0 style="margin-top:5px">
				<tr>
					<td>
						 : <input type="text" name="color" size="2" style="border:#999999 1px solid;" readOnly>
						<input type="text" name="color_code" size="8" style="border:#999999 1px solid" readOnly>
						<script language="javascript">
							var color = opener.document.all["[GET.TARGET]"].value;

							if(color) {
								color_form.color.style.backgroundColor = color;
								color_form.color_code.value = color;
							}
						</script>
					</td>
				</tr>
				<tr>
					<td>
						 : <input type="text" name="chosen_color" size="2" style="border:#999999 1px solid" readOnly>
						<input type="text" name="chosen_code" size="8" style="border:#999999 1px solid" readOnly>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="100%" valign="top">&nbsp;</td>
	</tr>
	<tr>
		<td height="25">
			<table align="center" cellpadding="2" cellspacing="1" width="100%" border="0">
				<tr>
					<td class='tablebgcolor' align="center" height="25">
						<input type="button" value=" " onClick="apply_color();" onFocus="this.blur()" class="button_new" style="width:60px">
						<input type="button" value=" " onClick="window.close();" onFocus="this.blur()" class="button_new" style="width:60px">
					</td>
				</tr>
				<tr>
					<td height="1" class="borderline1"></td>
				</tr>
			</table>
		</td>
	</tr>
</form>
</table>
<div id="id_colors" style="left:8px; top:100px">
	<table cellpadding="0" cellspacing="0" ondragstart="return false"  style="border: 1px solid #999999; cursor:hand">
		<tr>
			<td><img src = '[PATH.SKIN]images/colorpicker.jpg' height=192 width=192 onMouseMove="get_color_code(event);" onClick="pick_color();" border="1"></td>
		</tr>
	</table>
</div>
<div id =layer2 style="left: 8px; top: 82px" >
	<table cellpadding =0 cellspacing = 0 border=0  style="border: 1px solid #999999; cursor:hand" ondragstart="return false" >
		<tr>
			<td width=12 height=12 border='0' ><img src='[PATH.SKIN]images/spacer.gif' border=0 width=12 height=12 name="bright1" onMouseMove = OverBright(1); onClick = chooseBright(1);></td>
			<td width=12 height=12 border='0' ><img src='[PATH.SKIN]images/spacer.gif' border=0 width=12 height=12 name="bright2" onMouseMove = OverBright(2); onClick = chooseBright(2);></td>
			<td width=12 height=12 border='0' ><img src='[PATH.SKIN]images/spacer.gif' border=0 width=12 height=12 name="bright3" onMouseMove = OverBright(3); onClick = chooseBright(3);></td>
			<td width=12 height=12 border='0' ><img src='[PATH.SKIN]images/spacer.gif' border=0 width=12 height=12 name="bright4" onMouseMove = OverBright(4); onClick = chooseBright(4);></td>
			<td width=12 height=12 border='0' ><img src='[PATH.SKIN]images/spacer.gif' border=0 width=12 height=12 name="bright5" onMouseMove = OverBright(5); onClick = chooseBright(5);></td>
			<td width=12 height=12 border='0' ><img src='[PATH.SKIN]images/spacer.gif' border=0 width=12 height=12 name="bright6" onMouseMove = OverBright(6); onClick = chooseBright(6);></td>
			<td width=12 height=12 border='0' ><img src='[PATH.SKIN]images/spacer.gif' border=0 width=12 height=12 name="bright7" onMouseMove = OverBright(7); onClick = chooseBright(7);></td>
			<td width=12 height=12 border='0' ><img src='[PATH.SKIN]images/spacer.gif' border=0 width=12 height=12 name="bright8" onMouseMove = OverBright(8); onClick = chooseBright(8);></td>
			<td width=12 height=12 border='0' ><img src='[PATH.SKIN]images/spacer.gif' border=0 width=12 height=12 name="bright9" onMouseMove = OverBright(9); onClick = chooseBright(9);></td>
			<td width=12 height=12 border='0' ><img src='[PATH.SKIN]images/spacer.gif' border=0 width=12 height=12 name="bright10" onMouseMove = OverBright(10); onClick = chooseBright(10);></td>
			<td width=12 height=12 border='0' ><img src='[PATH.SKIN]images/spacer.gif' border=0 width=12 height=12 name="bright11" onMouseMove = OverBright(11); onClick = chooseBright(11);></td>
			<td width=12 height=12 border='0' ><img src='[PATH.SKIN]images/spacer.gif' border=0 width=12 height=12 name="bright12" onMouseMove = OverBright(12); onClick = chooseBright(12);></td>
			<td width=12 height=12 border='0' ><img src='[PATH.SKIN]images/spacer.gif' border=0 width=12 height=12 name="bright13" onMouseMove = OverBright(13); onClick = chooseBright(13);></td>
			<td width=12 height=12 border='0' ><img src='[PATH.SKIN]images/spacer.gif' border=0 width=12 height=12 name="bright14" onMouseMove = OverBright(14); onClick = chooseBright(14);></td>
			<td width=12 height=12 border='0' ><img src='[PATH.SKIN]images/spacer.gif' border=0 width=12 height=12 name="bright15" onMouseMove = OverBright(15); onClick = chooseBright(15);></td>
			<td width=12 height=12 border='0' ><img src='[PATH.SKIN]images/spacer.gif' border=0 width=12 height=12 name="bright16" onMouseMove = OverBright(16); onClick = chooseBright(16);></td>
		</tr>
	</table>
</div>
</body>
</html>
<!-- [END:MAIN] -->
