/*******************************************************************************
	Description		: Javascript for JOIN.
	Last Modified	: 2002.10.21
*******************************************************************************/
// check duplication
function check_field_dup(id, name, type) {
	var url;

	if(type == "JUMIN") {
		var jumin1 = document.all[id + "_1"];
		var jumin2 = document.all[id + "_2"];

		if(jumin1.value == "") {
			alert(name + " ׸ Էּ");
			jumin1.focus();
			return;
		} else if(jumin2.value == "") {
			alert(name + " ׸ Էּ");
			jumin2.focus();
			return;
		}

		url = "ttmember.cgi?act=check_field_dup&id="+id
			+"&jumin1="+jumin1.value+"&jumin2="+jumin2.value;
	} else if(type == "PHONE") {
		var phone1 = document.all[id + "_1"];
		var phone2 = document.all[id + "_2"];
		var phone3 = document.all[id + "_3"];

		if(phone1.value == "") {
			alert(name + " ׸ Էּ");
			phone1.focus();
			return;
		} else if(phone2.value == "") {
			alert(name + " ׸ Էּ");
			phone2.focus();
			return;
		} else if(phone3.value == "") {
			alert(name + " ׸ Էּ");
			phone3.focus();
			return;
		}

		url = "ttmember.cgi?act=check_field_dup&id="+id+"&phone1="
			+phone1.value+"&phone2="+phone2.value+"&phone3="+phone3.value;
	} else {
		var obj = document.all[id];
		if(obj.value == "") {
			alert(name + " ׸ Էּ");
			obj.focus();
			return;
		}

		url = "ttmember.cgi?act=check_field_dup&id="+id+"&value="+obj.value;
	}

	var left = (screen.width - 300) / 2;
	var top = (screen.height - 150) / 3;
	window.open(url, "", "width=300, height=150, left="+left+", top="+top);
}

// required field?
function check_required(obj) {
	if(obj.value == "") return false;
	else return true;
}

// toggle default value
function toggle_def_value(obj) {
	if(obj.value == obj.defaultValue) {
		obj.value = "";
	} else if(obj.value == "") {
		obj.value = obj.defaultValue;
	}
}

/*************************************************************************
	text, textarea, password
*************************************************************************/
// check min_value
function check_min_value(obj, min_value) {
	if(parseInt(obj.value) < parseInt(min_value)) return false;
	else return true;
}

// check max_value
function check_max_value(obj, max_value) {
	if(parseInt(obj.value) > parseInt(max_value)) return false;
	else return true;
}

// check min_length
function check_min_length(obj, min_length) {
	if(parseInt(obj.value.bytes()) < parseInt(min_length)) return false;
	else return true;
}

// check max_length
function check_max_length(obj, max_length) {
	if(parseInt(obj.value.bytes()) > parseInt(max_length)) return false;
	else return true;
}

/*************************************************************************
	radio
*************************************************************************/
// check radio
function check_radio(obj) {
	var flag = 0;

	for(var i = 0; i < 20; i++) {
		if(obj[i] && obj[i].checked) flag = 1;

		if(flag) break;
	}

	if(flag) return true;
	else return false;
}

/*************************************************************************
	checkbox
*************************************************************************/
// check checkbox
function check_chkbox(id) {
	var obj;
	var flag = 0;

	for(var i = 1; i <= 20; i++) {
		obj = document.all[id + "_" + i];
		if(obj && obj.checked) flag = 1;

		if(flag) break;
	}

	if(flag) return true;
	else return false;
}

function chkbox_is_checked(option, checked_opt) {
	var arr_opt = checked_opt.split('|');

	for(var i = 0; i < arr_opt.length; i++) {
		if(option == arr_opt[i]) return 1;
	}

	return 0;
}

/*************************************************************************
	password
*************************************************************************/
// check password
function check_pwd(id) {
	var pwd = document.all[id];
	var pwd_re = document.all[id + "_re"];

	if(pwd.value != pwd_re.value) return false;
	else return true;
}

/*************************************************************************
	jumin
*************************************************************************/
// check begin age
function check_begin_age(jumin1, begin_age) {
	if(parseInt(jumin1.value.substring(0, 2)) < parseInt(begin_age)) return false;
	else return true;
}

// check end age
function check_end_age(jumin1, end_age) {
	if(parseInt(jumin1.value.substring(0, 2)) > parseInt(end_age)) return false;
	else return true;
}

// check sex
function check_sex(jumin2, sex) {
	var member_sex = jumin2.value.substring(0, 1);

	if(sex == 1 && member_sex == 2) return 1;
	else if(sex == 2 && member_sex == 1) return 2;
	else return 0;
}

/*************************************************************************
	address
*************************************************************************/
// find zip
function find_zip(field_id) {
	var left = (screen.width - 400) / 2;
	var top = (screen.height - 200) / 3;

	window.open("ttmember.cgi?act=find_zip&id="+field_id, "", "width=400, height=200, left="+left+", top="+top+", scrollbars=1");
}

/*************************************************************************
	name avatar
*************************************************************************/
function load_navatar() {
	// check value.
	var obj = document.all["name_avatar"];
	if(obj.value == "") return;

	var objImg = document.all["img_navatar"];
	objImg.src = obj.value;

	// wait name avatar image.
	if(!objImg.complete)
		setInterval("load_navatar()", 500);
}

/*************************************************************************
	store data
*************************************************************************/
function verify_data() {
	var id, name, type;
	var obj, attr;

	for(i = 0; i < field_id.length; i++) {
		if(field_id[i] == "") continue;

		id = field_id[i];
		name = field_name[i];
		type = field_type[i];

		// object & attribute
		obj = document.all[id];
		attr = document.all[id + "_attr"];

		// skip 'not editable'
		if(MODE == "modify" && attr.edit == 0) continue;

		if(type == "TEXT") {
			var obj_text = document.all[id];

			// required
			if(attr.required == 1 && !check_required(obj_text))
				return alert_err(obj_text, i, "required");

			// use upper?
			if(attr.use_upper == 0 && check_upper(obj_text.value, 1))
				return alert_err(obj_text, i, "upper");

			// use lower?
			if(attr.use_lower == 0 && check_lower(obj_text.value, 1))
				return alert_err(obj_text, i, "lower");

			// use number?
			if(attr.use_number == 0 && check_number(obj_text.value, 1))
				return alert_err(obj_text, i, "number");

			// use korean?
			if(attr.use_korean == 0 && check_korean(obj_text.value, 1))
				return alert_err(obj_text, i, "korean");

			// use blank?
			if(attr.use_blank == 0 && check_blank(obj_text.value, 1))
				return alert_err(obj_text, i, "blank");

			// use symbol?
			if(attr.use_symbol == 0 && check_symbol(obj_text.value, 1))
				return alert_err(obj_text, i, "symbol");

			// min value
			if(attr.min_value != "" && !check_min_value(obj_text, attr.min_value))
				return alert_err(obj_text, i, "min_value");

			// max value
			if(attr.max_value != "" && !check_max_value(obj_text, attr.max_value))
				return alert_err(obj_text, i, "max_value");

			// min length
			if(attr.min_length != "" && !check_min_length(obj_text, attr.min_length))
				return alert_err(obj_text, i, "min_length");

			// max length
			if(attr.max_length != "" && !check_max_length(obj_text, attr.max_length))
				return alert_err(obj_text, i, "max_length");
		} else if(type == "TEXTAREA") {
			var obj_textarea = document.all[id];

			// required
			if(attr.required == 1 && !check_required(obj_textarea))
				return alert_err(obj_textarea, i, "required");

			// use upper?
			if(attr.use_upper == 0 && check_upper(obj_textarea.value, 1))
				return alert_err(obj_textarea, i, "upper");

			// use lower?
			if(attr.use_lower == 0 && check_lower(obj_textarea.value, 1))
				return alert_err(obj_textarea, i, "lower");

			// use number?
			if(attr.use_number == 0 && check_number(obj_textarea.value, 1))
				return alert_err(obj_textarea, i, "number");

			// use korean?
			if(attr.use_korean == 0 && check_korean(obj_textarea.value, 1))
				return alert_err(obj_textarea, i, "korean");

			// use blank?
			if(attr.use_blank == 0 && check_blank(obj_textarea.value, 1))
				return alert_err(obj_textarea, i, "blank");

			// use symbol?
			if(attr.use_symbol == 0 && check_symbol(obj_textarea.value, 1))
				return alert_err(obj_textarea, i, "symbol");

			// min length
			if(attr.min_length != "" && !check_min_length(obj_textarea, attr.min_length))
				return alert_err(obj_textarea, i, "min_length");

			// max length
			if(attr.max_length != "" && !check_max_length(obj_textarea, attr.max_length))
				return alert_err(obj_textarea, i, "max_length");
		} else if(type == "RADIO") {
			var obj_radio = document.all[id];

			// required
			if(attr.required == 1 && !check_radio(obj_radio))
				return alert_err(obj_radio, i, "required");
		} else if(type == "CHECKBOX") {
			var obj_chkbox = document.all[id];

			// required
			if(attr.required == 1 && !check_chkbox(id))
				return alert_err(obj_chkbox, i, "required");
		} else if(type == "SELECT") {
			var obj_select = document.all[id];

			// required
			if(attr.required == 1 && !check_required(obj_select))
				return alert_err(obj_select, i, "required");
		} else if(type == "PASSWORD") {
			var obj_pwd = document.all[id];
			var obj_pwd_re = document.all[id + "_re"];

			// required
			if((!check_required(obj_pwd) && !check_required(obj_pwd_re))
				&& MODE == "modify") continue;

			if(attr.required == 1) {
				if(!check_required(obj_pwd)) return alert_err(obj_pwd, i, "required");
				if(!check_required(obj_pwd_re)) return alert_err(obj_pwd_re, i, "required");
			}

			// check password
			if(!check_pwd(id)) return alert_err(obj_pwd, i, "password");

			// use upper?
			if(attr.use_upper == 0 && check_upper(obj_pwd.value, 1))
				return alert_err(obj_pwd, i, "upper");

			// use lower?
			if(attr.use_lower == 0 && check_lower(obj_pwd.value, 1))
				return alert_err(obj_pwd, i, "lower");

			// use number?
			if(attr.use_number == 0 && check_number(obj_pwd.value, 1))
				return alert_err(obj_pwd, i, "number");

			// use blank?
			if(attr.use_blank == 0 && check_blank(obj_pwd.value, 1))
				return alert_err(obj_pwd, i, "blank");

			// use symbol?
			if(attr.use_symbol == 0 && check_symbol(obj_pwd.value, 1))
				return alert_err(obj_pwd, i, "symbol");
		} else if(type == "FILE") {
// Ȯ , 뷮 
			var obj_file = document.all[id];

			// required
			if(attr.required == 1 && !check_required(obj_file))
				return alert_err(obj_file, i, "required");
		} else if(type == "EMAIL") {
			var obj_email = document.all[id];

			// required
			if(attr.required == 1 && !check_required(obj_email))
				return alert_err(obj_email, i, "required");
			// check email
			if(obj_email.value != "" && !check_email(obj_email.value))
				return alert_err(obj_email, i, "email");
		} else if(type == "JUMIN") {
			var obj_jumin1 = document.all[id + "_1"];
			var obj_jumin2 = document.all[id + "_2"];

			// required
			if(obj_jumin1.value == "" || obj_jumin2.value == "") {
				if(attr.required == 1) {
					if(!check_required(obj_jumin1)) return alert_err(obj_jumin1, i, "required");
					if(!check_required(obj_jumin2)) return alert_err(obj_jumin2, i, "required");
				}
			} else {
				// check jumin
				if(!check_jumin(""+obj_jumin1.value+obj_jumin2.value))
					return alert_err(obj_jumin1, i, "jumin");

				// check age
				if(attr.age == 1) {
					if(attr.begin_age != "" && !check_begin_age(obj_jumin1, attr.begin_age))
						return alert_err(obj_jumin1, i, "begin_age");
					if(attr.end_age != "" && !check_end_age(obj_jumin1, attr.end_age))
						return alert_err(obj_jumin1, i, "end_age");
				}

				// check sex
				result = check_sex(obj_jumin2, attr.sex);
				if(result == 1) return alert_err(obj_jumin1, i, "only_male");
				else if(result == 2) return alert_err(obj_jumin1, i, "only_female");
			}
		} else if(type == "PHONE") {
			var obj_phone1 = document.all[id + "_1"];
			var obj_phone2 = document.all[id + "_2"];
			var obj_phone3 = document.all[id + "_3"];

			// required
			if(attr.required == 1) {
				if(!check_required(obj_phone1)) return alert_err(obj_phone1, i, "required");
				if(!check_required(obj_phone2)) return alert_err(obj_phone2, i, "required");
				if(!check_required(obj_phone3)) return alert_err(obj_phone3, i, "required");
			}
		} else if(type == "ADDRESS") {
			var obj_zip1 = document.all[id + "_zip1"];
			var obj_zip2 = document.all[id + "_zip2"];
			var obj_addr1 = document.all[id + "_addr1"];
			var obj_addr2 = document.all[id + "_addr2"];

			// required
			if(attr.required == 1) {
				if(!check_required(obj_zip1)) return alert_err(obj_zip1, i, "required");
				if(!check_required(obj_zip2)) return alert_err(obj_zip2, i, "required");
				if(!check_required(obj_addr1)) return alert_err(obj_addr1, i, "required");
				if(!check_required(obj_addr2)) return alert_err(obj_addr2, i, "required");
			}
		} else if(type == "DATE") {
// ¥ check
			var obj_year = document.all[id + "_year"];
			var obj_month = document.all[id + "_month"];
			var obj_day = document.all[id + "_day"];

			// required
			if(attr.required == 1) {
				if(!check_required(obj_year)) return alert_err(obj_year, i, "required");
				if(!check_required(obj_month)) return alert_err(obj_month, i, "required");
				if(!check_required(obj_day)) return alert_err(obj_day, i, "required");
			}
		} else if(type == "URL") {
// URL ˻
			var obj_url = document.all[id];

			// required
			if(attr.required == 1) {
				if(!check_required(obj_url)) return alert_err(obj_url, i, "required");
			}
		}
	}

	// ̸ ƹŸ size check
	if(USE_NAME_AVATAR == 1 && join_form.name_avatar.value != "") {
		var obj = join_form.name_avatar;
		var objImg = document.all["img_navatar"];
		objImg.src = obj.value;

		// wait name avatar image.
		load_navatar(obj);

		var width = parseInt(objImg.width);
		var height = parseInt(objImg.height);

		if(width > NAME_AVATAR_WIDTH) {
			alert("̸ ƹŸ ũ " + NAME_AVATAR_WIDTH + " ̾ մϴ.");
			return;
		} else if(height > NAME_AVATAR_HEIGHT) {
			alert("̸ ƹŸ ũ " + NAME_AVATAR_HEIGHT + " ̾ մϴ.");
			return;
		}
	}

	// for protection multiple join
	document.all["before_submit"].style.display = "none";
	document.all["after_submit"].style.display = "inline";

	join_form.submit();
}

function alert_err(obj, idx, type) {
	var id = field_id[idx];
	var name = field_name[idx];
	var attr = document.all[id + "_attr"];

	switch(type) {
		case "required":
			alert("[" + name + "] ׸ Էּ.");
			break;
		case "upper":
			alert(name + " ׸ 빮ڴ ԷϽ  ϴ.");
			break;
		case "lower":
			alert(name + " ׸ ҹڴ ԷϽ  ϴ.");
			break;
		case "number":
			alert(name + " ׸ ڴ ԷϽ  ϴ.");
			break;
		case "korean":
			alert(name + " ׸ ѱ ԷϽ  ϴ.");
			break;
		case "blank":
			alert(name + " ׸ ĭ ԷϽ  ϴ.");
			break;
		case "symbol":
			alert(name + " ׸ ȣ ԷϽ  ϴ.");
			break;
		case "min_value":
			alert(name + " ׸  " + attr.min_value + " Ŀմϴ.");
			break;
		case "max_value":
			alert(name + " ׸  " + attr.max_value + " ۾ƾմϴ.");
			break;
		case "min_length":
			alert(name + " ׸ ̰ " + attr.min_length + " մϴ.");
			break;
		case "max_length":
			alert(name + " ׸ ̰ " + attr.max_length + " ªմϴ.");
			break;
		case "password":
			alert(name + " ׸ ġ ʽϴ.");
			break;
		case "email":
			alert(obj.value + " ȿ ̸ ּҰ ƴմϴ");
			break;
		case "jumin":
			var obj_jumin1 = document.all[id+"_1"];
			var obj_jumin2 = document.all[id+"_2"];
			alert(obj_jumin1.value + "-" + obj_jumin2.value + "  ȿ ֹεϹȣ ƴմϴ.");
			break;
		case "begin_age":
			alert(attr.begin_age + " ̻   ֽϴ.");
			break;
		case "end_age":
			alert(attr.end_age + " ϸ   ֽϴ.");
			break;
		case "only_mail":
			alert("и Ͻ  ֽϴ.");
			break;
		case "only_female":
			alert("и Ͻ  ֽϴ.");
			break;
		default:
			break;
	}

	if(obj) obj.focus();
	return;
}